:root {
    --fg1: #333333;
    --bg1: #eeeeee;
    --border: #aaaaaa;

    --logo: #888888;

    color-scheme: light;
}

:root[data-theme="dark"] {
    --fg1: #cccccc;
    --bg1: #111111;
    --border: #555555;

    --logo: #888888;

    color-scheme: dark;
}

body {
    background-color: var(--bg1);
    color: var(--fg1);

    font-family: Helvetica, sans-serif;
    font-size: 12pt;
    line-height: 1.4;

    display: flex;
    flex-direction: column;
    align-items: stretch;

    min-height: 100vh;
    margin: 0px;
}

#content {
    padding: 10px;
    flex-grow: 1;
    overflow-y: auto;

    max-width: 600px;
    margin-left: auto;
    margin-right: auto;
}

#header {
    height: 40px;
    padding: 5px;
    box-sizing: border-box;

    border-bottom: 1px solid var(--border);

    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;

    font-size: 10pt;
}

#logo {
  color: var(--logo);
  font-family: monospace;
  font-size: 10pt;
  font-weight: bold;
}

#logo a {
    text-decoration: none;
    color: inherit;
    cursor: pointer;
}

img.icon {
    width: 1.2em;
    height: 1.2em;
    object-fit: contain;
    vertical-align: -0.15em;
}